function D=density(T,P,X,S)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% density - calculate density of liquid / gas
%
% Inputs:    T    - temperature [F] 
%            P    - pressure    [psia]
%            X    - molfraction [-]
%            S    - phase ('LIQ' =liquid phase)
%
% Outputs:   D    - density     [lb/ft3] 
%
%Written by: Marius Store Govatsmark (Wolff fortran)
%Date:       19. aug. 1998
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

      D=P*(0.18*X(1)+1.47*X(2)+7.17*X(3)+8.46*X(4)+14.16*X(5));
      D=D/(459.69+T);
      if (S=='LIQ')
         D=D+9.08*X(3)*(abs(490-T))^0.29+9.47*X(4)*(abs(545.26-T))^0.29+...
          +8.81*X(5)*(abs(916.6-T))^0.29;
      end
