%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Disturbances - nominal values
Tcw1        = 59;        % Inlet cooling water temperature in cooler [F] (considered by Brognaux (1992))
Pdown       = 350;       % Downstream pressure after the purge [psia] (considered by Brognaux (1992))
fuelval     = 0.1247;    % Energetic value of fuel for the furnace (considered by Brognaux (1992))
Ttol        = 100;       % Toluene feed temperature [F] (considered by Brognaux (1992))
Tgas        = 100;       % Gas feed temperature [F] (considered by Brognaux (1992))
xhyd        = 0.95;      % Mol fraction of H2 feed gas [-] 
P_ben       = 9.04;      % Benzene price [$/lbmol]  
Ftol_upper  = 300;       % Upper bound on toluene feed flow rate [lbmole/h]. This number affects constraint no. 20 (see constraints2.m)!!!

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Model error - nominal values
Pdownliq    = 150;       % Pressure after flash liquid valve: flow to distillation train [psia]. It is assumed that this pressure is perfectly controlled to Pdownliq!!!
Trectol     = 212;       % Temperature toluene recycle [F] (considered by Brognaux (1992))

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
switch no
    case 1
        xhyd = 0.9;
    case 2
        xhyd = 1.0;
    case 3
        P_ben = 8.34;
    case 4
        P_ben = 9.74;
    case 5
        Ftol_upper = 0.95*Ftol_upper;
    case 6
        Ftol_upper = 1.05*Ftol_upper;
    case 7
        fuelval = 0.12;
    case 8
        fuelval = 0.13;
end

