%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%% ECONOMICS %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Overcool in condenser:
overcool_stab = 34;
overcool_ben  = 24;
overcool_tol  = 19;

%Correlation to calculate condenser and reboiler duty:
QB_stab = (13.184*xBstab(3) + 16.226*xBstab(4) + 17.131*xBstab(5))*VBstab/1000;
QB_ben  = (13.184*xBben(3)  + 16.226*xBben(4)  + 17.131*xBben(5)) *VBben/1000;
QB_tol  = (13.184*xBtol(3)  + 16.226*xBtol(4)  + 17.131*xBtol(5)) *VBtol/1000;
QC_stab = ((7*xDstab(1)     + 10.1*xDstab(2)   + 40.188*xDstab(3) + 53.934*xDstab(4) + 83.113*xDstab(5))*overcool_stab + ...
    13.184*xDstab(3) + 16.226*xDstab(4) + 17.131*xDstab(5))*(Lstab + Dstab)/1000;
QC_ben  = ((40.188*xDben(3) + 53.934*xDben(4) + 83.113*xDben(5))*overcool_ben + 13.184*xDben(3) + 16.226*xDben(4) + 17.131*xDben(5))*(Lben + Dben)/1000;
QC_tol  = ((40.188*xDtol(3) + 53.934*xDtol(4) + 83.113*xDtol(5))*overcool_tol + 13.184*xDtol(3) + 16.226*xDtol(4) + 17.131*xDtol(5))*(Ltol + Dtol)/1000;

% Prices: Wolff thesis p.112
P_tol   = 6.40;         % $/lbmol
P_gas   = 1.32;         % $/lbmol 
P_steam = 2.5;          % $/kBtu/h
P_cw    = 0.023418;     % $/kBtu/h;
P_fuel  = 4.00;         % $/kBtu/h;
P_el    = 0.0418794;    % $/hp   
P_fv    = [0.492;1.532;5.64;6.72;5.38];

P_D_ben     =  P_ben;  
P_Ftol      = -P_tol;
P_Fgas      = -P_gas;
P_Fpurge    =  P_fv'*PurgeOutFlow.F/(sum(PurgeOutFlow.F));
P_D_stab    =  P_fv'*xDstab';
P_B_tol     =  P_fv'*xBtol';
P_Wcooler   = -P_cw;
P_Qfurnace  = -P_fuel; 
P_QB_stab   = -P_steam; 
P_QB_ben    = -P_steam; 
P_QB_tol    = -P_steam; 
P_QC_stab   = -P_cw; 
P_QC_ben    = -P_cw; 
P_QC_tol    = -P_cw;
P_hp        = -P_el;

Price = [P_D_ben P_Ftol P_Fgas P_Fpurge P_D_stab P_B_tol P_Wcooler ...
    P_Qfurnace P_QB_stab P_QB_ben P_QB_tol P_QC_stab P_QC_ben P_QC_tol P_hp];
Price = Price(:);

Fpurge = sum(PurgeOutFlow.F);

Value = [Dben Ftol Fgas Fpurge Dstab Btol Qcooler Qfurnace QB_stab ...
      QB_ben QB_tol QC_stab QC_ben QC_tol hpcompressor]';

% Profitt: M$/year, year = 8150h (production)
Ref = [19.637e6 -15.074e6 -4.583e6 4.323e6 287845.860 420931.799 -2428.099 ...
      -165387.294 -9514.645 -93196.346 -71408.958 -17.076 -1669.898 -737.693 -171078.716];

Profitt = Price'*Value/1000000*8150;
f = -Profitt;


