function f = fun(x,no)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% fun  - calculate objective function 
%
% Inputs:  x    - optimization variables 
%                 (state, algebraic and manipulable variables)                 
%
% Outputs: f    - objective function (profitt)
%
% Written by   : Marius S. Govatsmark        18.Aug. 1998
% Last modified: Marius S. Govatsmark        28.March 2000
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

parameter

% Optimization variables (all possible candidates are included)
Fgas            = x(ndiff_alg+1);   % Gas feed flow rate
Wcooler         = x(ndiff_alg+2);   % Flow of cooling water to cooler
kpurge          = x(ndiff_alg+3);   % Purge valve opening
Wfuel           = x(ndiff_alg+4);   % Flow of fuel to furnace
Ftol            = x(ndiff_alg+5);   % Pure toluene feed flow rate
kbypass         = x(ndiff_alg+6);   % Bypass hot side in fehe
hpcompressor    = x(ndiff_alg+7);   % Compressor power
LT_stab         = x(ndiff_alg+8);   % Stabilizer reflux rate
VB_stab         = x(ndiff_alg+9);   % Stabilizer boilup rate
D_stab          = x(ndiff_alg+10);  % Stabilizer distillate rate
xB_stab         = x(ndiff_alg+11);  % Methane mole fraction in bottom
LT_ben          = x(ndiff_alg+12);  % Benzene column reflux rate
VB_ben          = x(ndiff_alg+13);  % Benzene column boilup rate
D_ben           = x(ndiff_alg+14);  % Benzene column distillate rate
xD_ben          = x(ndiff_alg+15);  % Benzene mole fraction in distillate
LT_tol          = x(ndiff_alg+16);  % Toluene column reflux rate
VB_tol          = x(ndiff_alg+17);  % Toluene column boilup rate
D_tol           = x(ndiff_alg+18);  % Toluene column distillate rate
xD_tol          = x(ndiff_alg+19);  % Toluene mole fraction in distillate
kquencher       = x(ndiff_alg+20);  % Split ratio after flash (liquid flow from flash to quencher)
kfsep           = x(ndiff_alg+21);  % Flash inlet valve opening

% Disturbances
dvar

% Model
model

% Object function  
economics

