function [F,Q] = furnace(F1,Tr,Fr,Fval)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% furnace - physical  data out of furnace 
%
% Inputs:    F1 - Cold flow from fehe        [struct]
%            Tr - Outlet temperature furnace [F]
%            Fr - Fuel molar flow            [lbmol/h]
%            Fval - Fuel value               [MTBU/lbmol]
%
% Outputs:   F  - Outlet flow furnace        [struct]
%            Q  - Duty furnace               [MTBU/H]
%
% Written by   : Marius S. Govatsmark       19.aug.1998
% Last modified: Marius S. Govatsmark       22.aug.1999
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% data - dyn73.res
   PD = 10;               % pressure loss [psia] 
   
% struct
   F = F1;
   
% mass balance
   F.F = F1.F;

% pressure out
   F.P = F1.P - PD;

% temperature
   F.T = Tr;

% energy balance
   Q   = Fval*Fr;
   F.E = F1.E + Q;


