function G=gamma(T,X)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% gamma - calculate gamma-values to vapour-liquid equilibrium 
%
% Inputs:    T    - temperature        [F] 
%            X    - liquid composition [-]
%
% Outputs:   G    - gamma-values    [-] 
%
%Written by: Marius Store Govatsmark (Wolff fortran)
%Date:       21. aug. 1998
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

      CH=6.864+4.937E-4*T-5.855E-7*T^2+3.131E-10*T^2;
      CM=8.61+5.911E-3*T+1.108E-6*T^2-4.632E-10*T^2;
      CB=30.323+2.23E-2*T-8.951E-6*T^2+2.92E-9*T^2;
      CT=35.715+3.013E-2*T-9.894E-6*T^2+2.011E-9*T^2;
      CD=68.621+5.187E-2*T-3.717E-5*T^2+1.143E-8*T^2;
      G=1.9857*(X(1)/CH+X(2)/CM+X(3)/CB+X(4)/CT+X(5)/CD);
