function LM=lmtd(DT1,DT2)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% lmtd - calculate logaritmic mean temperature difference 
%
% Inputs:    DT1    - temperature difference [F]
%            DT2    - temperature difference [F] 
%
% Outputs:   LM     - logaritmic mean temperature differenc [F] 
%
%Written by: Marius Store Govatsmark (Wolff speedup)
%Date:       18. aug. 1998
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

   if (abs(DT1-DT2)<1)  %DABS->abs 
     LM=(DT1+DT2)/2;
   else
     LM=(DT1-DT2)/log(DT1/DT2);
   end
