function [F]=mixer(F1,F2,F3,F4)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% mixer - physical data after mixing of input streams 
%
% Inputs:    F1,F2,F3,F4 - inlet flows  [struct]
%
% Outputs:   F           - outlet flow  [struct]
%
%Written by   : Marius S. Govatsmark       18.aug.1998
%Last modified: Marius S. Govatsmark       22.aug.1999
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Data
PD=25;   %pressure loss [psia] 

%Mass-stream
F.F=F1.F+F2.F+F3.F+F4.F;

%Energy-stream
F.E=F1.E+F2.E+F3.E+F4.E;

%Pressure out
F.P=F4.P-PD;  %Pressure from recycle gas loop
