% Parameters

ndiff = 182; % Number of differential variables
nalg  = 70;  % Number of algebraic variables
ndiff_alg = ndiff + nalg;

%Number of components
nc = 5;

%Number of cstr
ncstr = 19;

%Minimum value of state
minstate = 1e-10;  

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Stabilizer
% Coefficients for the Francis weir formula
Kf.stab = [1200 100];

% Number of stages and feed location (stages are counted starting from the
% bottom)
NT.stab = 8;
NF.stab = 4;

% Relative volatilities
stab_alpha_lower = [11667 6000 166.67 150 1];
stab_alpha_upper = [1850000 360000 400 150 1];
alpha.stab = [];
for i = 1:NF.stab,           alpha.stab = [alpha.stab; stab_alpha_lower]; end
for i = NF.stab+1:NT.stab-1, alpha.stab = [alpha.stab; stab_alpha_upper]; end
NC.stab = size(alpha.stab,2);

% Liquid holdup below weir
Muw.stab = 1;

overcool_stab = 34;
ntstab = 8;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Benzene column
% Coefficients for the Francis weir formula
Kf.ben = [1800 700];

% Number of stages and feed location (stages are counted starting from the
% bottom)
NT.ben  = 30;
NF.ben  = 14;

% Relative volatilities
ben_alpha_lower = [123 46 1];
ben_alpha_upper = [188 59 1];
alpha.ben = [];
for i = 1:NF.ben,          alpha.ben = [alpha.ben; ben_alpha_lower]; end
for i = NF.ben+1:NT.ben-1, alpha.ben = [alpha.ben; ben_alpha_upper]; end
NC.ben = size(alpha.ben,2);

% Liquid holdup below weir
Muw.ben  = 1;

overcool_ben=24;
ntben=30;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Toluene column
% Coefficients for the Francis weir formula
Kf.tol = [900 600];

% Number of stages and feed location (stages are counted starting from the
% bottom)
NT.tol  = 8;
NF.tol  = 4;

% Relative volatilities
tol_alpha_lower = [15 10 1];
tol_alpha_upper = [100 50 1];
alpha.tol = [];
for i = 1:NF.tol,           alpha.tol = [alpha.tol; tol_alpha_lower]; end
for i = NF.tol+1:NT.tol-1,  alpha.tol = [alpha.tol; tol_alpha_upper]; end
NC.tol = size(alpha.tol,2);

% Liquid holdup below weir
Muw.tol  = 1;

overcool_tol=19;
nttol=8;

% Column parameters
p.NT = NT; p.NF = NF; p.NC = NC; p.alpha = alpha; p.Kf = Kf; p.Muw = Muw;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Valve constants (they correspond to 50% opening)
cvpurge     = 5.845000352005278e+002;   % purge valve constant
cvbypass    = 182.3876378;              % bypass valve constant
cvquencher  = 57.36572603355906;        % quencher valve constant
cvfsep      = 3.100000036984229e+003;   % separator inlet valve constant

kvsep = 2400;                  % flash vapor outlet valve opening
klsep = 3.125;                 % flash liquid outlet opening

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Water to cooler
Pw = 25; % Inlet pressure

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Reference temperature
To = 32; % in Fahrenheit (F)

